#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "AnimNotifyHandler.generated.h"

UINTERFACE(Blueprintable)
class ANIMATIONUTILITIES_API UAnimNotifyHandler : public UInterface
{
	GENERATED_BODY()
};

class ANIMATIONUTILITIES_API IAnimNotifyHandler : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	bool AttemptToHandleEvent(const FName& animNotifyEventName);

};
